import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';
@Component({
  selector: 'app-home',
  templateUrl: 'Tab1.page.html',
  styleUrls: ['Tab1.page.scss'],
})
export class Tab1Page {
  isSearching = false;
  searchQuery = '';
  filteredItems: string[] = [];
  searchHistory = ['历史搜索项1', '历史搜索项2'];
  searchSuggestions = [
    '比心十周年·免单真金等你拿',
    '十年如初·因你而延续'
  ];

  recommendedPlayers = [
    { name: 'Player 1', info: '技术大神专业陪玩，技术过硬 —— 我们精心挑选的游戏高手，无论是热门MOBA、FPS、RPG，还是小众独立游戏，都能带你飞！无论是上分冲段，还是探索剧情，我们都能成为你最坚实的后盾。', avatar: 'assets/avatar1.png' },
    { name: 'Player 2', info: '包赢承诺  每个人的游戏梦想都值得被尊重。告诉我们你的需求，无论是追求极限挑战，还是享受悠闲时光，我们都将为你量身打造独一无二的陪玩体验。', avatar: 'assets/avatar2.png' },
    { name: 'Player 3', info: '优质声优  趣味相投，欢乐无限 —— 幽默风趣的聊天，轻松愉快的氛围，让你的游戏时间不再单调。分享攻略，吐槽趣事，我们不仅是队友，更是朋友！', avatar: 'assets/avatar3.png' },
    { name: 'Player 4', info: '同城代练全可靠，隐私保护 —— 我们承诺，所有陪玩均经过严格筛选与培训，确保服务质量与安全。同时，我们尊重每一位用户的隐私，让你的游戏体验更加安心。', avatar: 'assets/avatar4.png' },
  ];

  selectedSegment = 'online';

  constructor(private navCtrl: NavController) {}

  showSearch() {
    this.isSearching = true;
  }

  hideSearch() {
    this.isSearching = false;
  }

  segmentChanged(event: any) {
    this.selectedSegment = event.detail.value;
  }

  filterChats() {
    const query = this.searchQuery.toLowerCase();
    this.filteredItems = this.recommendedPlayers.filter(player => player.name.toLowerCase().includes(query)).map(player => player.name);
  }

  loadMorePlayers() {
    this.navCtrl.navigateForward('/hot-recommendations');
  }
}
